package com.braintree.exceptions;

public class InvalidPaymentInfoException extends Exception {

    private final String paymentInfoId;

    public InvalidPaymentInfoException(final String id) {
        super("PaymentInfo [" + id + "] is invalid for the current cart");
        this.paymentInfoId = id;
    }

    public String getPaymentInfoId() {
        return paymentInfoId;
    }

}